GDB (xrefs)

Public Attributes | List of all members
adi_stat_t Struct Reference

## Public Attributes
unsigned long | blksize
unsigned long | nbits
int | max_version
int | tag_fd = 0
bool | checked_avail = false
bool | is_avail = false

## Detailed Description

Definition at line 89 of file sparc64-tdep.c.

## Member Data Documentation

## ◆ blksize

unsigned long adi_stat_t::blksize

Definition at line 92 of file sparc64-tdep.c.

Referenced by adi_align_address(), adi_convert_byte_count(), adi_is_addr_mapped(), adi_print_versions(), adi_read_versions(), and adi_write_versions().

## ◆ checked_avail

bool adi_stat_t::checked_avail = false

Definition at line 106 of file sparc64-tdep.c.

## ◆ is_avail

bool adi_stat_t::is_avail = false

Definition at line 109 of file sparc64-tdep.c.

## ◆ max_version

int adi_stat_t::max_version

Definition at line 100 of file sparc64-tdep.c.

Referenced by adi_assign_command().

## ◆ nbits

unsigned long adi_stat_t::nbits

Definition at line 97 of file sparc64-tdep.c.

Referenced by adi_normalize_address().

## ◆ tag_fd

int adi_stat_t::tag_fd = 0

Definition at line 103 of file sparc64-tdep.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/sparc64-tdep.c